Skip to content
Start here

Update Page Shield settings

client.PageShield.Update(ctx, params) (*PageShieldUpdateResponse, error)
PUT/zones/{zone_id}/page_shield

Updates Page Shield settings.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Page ShieldDomain Page ShieldZone Settings Write
ParametersExpand Collapse
params PageShieldUpdateParams
ZoneID param.Field[string]

Path param: Identifier

maxLength32
Enabled param.Field[bool]optional

Body param: When true, indicates that Page Shield is enabled.

UseCloudflareReportingEndpoint param.Field[bool]optional

Body param: When true, CSP reports will be sent to https://csp-reporting.cloudflare.com/cdn-cgi/script_monitor/report

UseConnectionURLPath param.Field[bool]optional

Body param: When true, the paths associated with connections URLs will also be analyzed.

ReturnsExpand Collapse
type PageShieldUpdateResponse struct{…}
Enabled bool

When true, indicates that Page Shield is enabled.

UpdatedAt string

The timestamp of when Page Shield was last updated.

UseCloudflareReportingEndpoint bool
UseConnectionURLPath bool

When true, the paths associated with connections URLs will also be analyzed.

Update Page Shield settings

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/page_shield"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  pageShield, err := client.PageShield.Update(context.TODO(), page_shield.PageShieldUpdateParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", pageShield.Enabled)
}
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "enabled": true,
    "updated_at": "2022-10-12T17:56:52.083582+01:00",
    "use_cloudflare_reporting_endpoint": true,
    "use_connection_url_path": true
  }
}